Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Jeff Garzik <[email-masked]>
Date: Wed, 27 Aug 2008 16:24:19 -0400

Willy Tarreau wrote:
> The problem is not caused by the number of commands, but by their
> complexity. I need completion because it's hard to type their very
> long names without making mistakes (not counting the long options).
> "git am" is fine with me, but "git format-patch" is quite boring to
> type. It's also interesting to note that short names are currently
> in place for less commonly used commands : git-rm, git-mv, git-gc.

Indeed.

Also, I type "git-diff-tree" quite a lot.

My fingers find that

	git SPACE diff DASH tree

is slower and less consistent than

	git DASH diff DASH tree

The same with git-format-patch...  We are going from "all dashes" to "a 
mix of space and dashes" which is increasing inconsistency.

	Jeff